### Method

# WebKit2 UserContentManager unregister_script_message_handler

since: 2.8

#### Declaration [src]

    void
    webkit_user_content_manager_unregister_script_message_handler (
      WebKitUserContentManager* manager,
      const gchar* name
    )

#### Description [src]

Unregisters a previously registered message handler.

Note that this does not disconnect handlers for the `WebKitUserContentManager::script-message-received` signal; they will be kept connected, but the signal will not be emitted unless the handler name is registered again.

See also webkit_user_content_manager_register_script_message_handler().

Available since: 2.8

#### Parameters

`name`

  Type: `const gchar*`

  Name of the script message channel.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.